<?php

declare(strict_types=1);

namespace Gls\GlsPoland\AdePlus\ParcelShop;

final class CParcelShop2OpeningHours
{
    /**
     * @var int
     */
    private $day;

    /**
     * @var string
     */
    private $open;

    /**
     * @var string
     */
    private $close;

    public function getDay(): int
    {
        return $this->day;
    }

    public function withDay(int $day): CParcelShop2OpeningHours
    {
        $new = clone $this;
        $new->day = $day;

        return $new;
    }

    public function getOpen(): string
    {
        return $this->open;
    }

    public function withOpen(string $open): CParcelShop2OpeningHours
    {
        $new = clone $this;
        $new->open = $open;

        return $new;
    }

    public function getClose(): string
    {
        return $this->close;
    }

    public function withClose(string $close): CParcelShop2OpeningHours
    {
        $new = clone $this;
        $new->close = $close;

        return $new;
    }
}
